## org.gnu.gtk
Class HScrollBar

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.Range
                          org.gnu.gtk.ScrollBar
                              org.gnu.gtk.HScrollBar

public class HScrollBar
extends ScrollBar

The HScrollBar displays a horizontal scrollbar with a slider and a pair of arrow buttons. To create a scrollbar, you must specify the beginning and ending values, the size of the slider, an initial slider position, and how far the slider moves when a mouse clicks the slot.

See Also:
  `VScrollBar`

Constructor Summary
`HScrollBar(Adjustment adjustment)` Creates a new ScrollBar
`HScrollBar(org.gnu.glib.Handle handle)` Construct a HScrollBar from a handle to a native resource.

Method Summary
`static HScrollBar` `getHScrollBar(org.gnu.glib.Handle handle)` Construct a HScrollBar from a handle to a native resource.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.

Methods inherited from class org.gnu.gtk.Range
`addListener, addRangeListener, getAdjustment, getEventListenerClass, getEventType, getInverted, getUpdatePolicy, getValue, removeRangeListener, setAdjustment, setIncrements, setInverted, setRange, setUpdatePolicy, setValue`

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getExtensionEvents, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HScrollBar

    public HScrollBar(Adjustment adjustment)

  Creates a new ScrollBar

Parameters:
  `adjustment` - The GtkAdjustment to use, or null to create a new adjustment.

### HScrollBar

    public HScrollBar(org.gnu.glib.Handle handle)

  Construct a HScrollBar from a handle to a native resource.

Method Detail

### getHScrollBar

    public static HScrollBar getHScrollBar(org.gnu.glib.Handle handle)

  Construct a HScrollBar from a handle to a native resource.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.